## hipblas 6.4.4

=== debian/changelog ===
hipblas (6.4.4-2~exp1) experimental; urgency=medium

  * Add packages for libhipblas2-tests, libhipblas2-tests-data, and
    libhipblas2-bench
  * d/control: update standards version to 4.7.3
  * d/control: remove redundant priority field
  * d/control: remove redundant rules-requires-root field
  * d/rules: fix CMake flags not being used during the build
  * Add d/p/0013-no-doxygen-warn_as_error.patch to fix FTBFS with
    newer versions of doxygen
  * Add d/p/0014-spelling.patch to fix minor spelling errors

 -- Cordell Bloor <cgmb@debian.org>  Mon, 16 Feb 2026 00:15:03 -0700

hipblas (6.4.4-1) unstable; urgency=medium

  * New upstream version 6.4.4
  * gbp.conf: Upstream branch is upstream/latest
  * Drop ppc64el as a supported architecture
    This can be re-enabled at a later point, but B-D rocblas currently has
    ppc64el removed, so hipblas migration will be blocked until ftp-master
    has cleared both.

 -- Christian Kastner <ckk@debian.org>  Fri, 26 Dec 2025 22:04:01 +0100

hipblas (6.4.3-3) unstable; urgency=medium

  * Add python3 to Build-Depends to fix FTBFS (Closes: #1120996)

 -- Cordell Bloor <cgmb@debian.org>  Wed, 19 Nov 2025 11:54:17 -0700

hipblas (6.4.3-2) unstable; urgency=medium

  * Add d/p/0012-optional-git.patch to fix FTBFS when git is not available
  * d/rules: override dh_auto_build to prevent failing build commands

 -- Cordell Bloor <cgmb@debian.org>  Tue, 18 Nov 2025 15:19:24 -0700

hipblas (6.4.3-1) unstable; urgency=medium

  [ Cordell Bloor ]
  * Upload to unstable
  * Remove Maxime Chambonnet from uploaders
  * Update my email address and copyright
  * d/gbp.conf: set debian/unstable as debian branch
  * d/control: trim B-D and B-C of unnecessary packages
  * d/control: add libhipblas-common-dev to libhipblas-dev dependencies
  * d/rules: fix path to hipblas-test in build tree
  * d/rules: enable CMAKE_SKIP_RPATH to simplify build-time tests
  * d/libhipblas2.symbols: mark C++ symbols as optional
  * Switch test runner over to universal location
  * Add prompt for rocminfo output to library and test bug reports
  * Adjust 0002-Fix-missing-lapack-blas.patch to use generic LAPACK
  * Add d/p/0009-optional-rocsolver.patch to make rocsolver optional
    for reverse dependencies that only need core BLAS operations
  * Move librocsolver0 from Depends to Recommends
  * Drop libhipblas2-tests package until the test data is packaged
  * Restore previously dropped d/p/0010-drop-f16c-instructions.patch and
    add d/p/0011-fix-ambiguous-__half-constructor.patch to disable f16c
    instructions and use __half type to fix FTBFS on arm64 and ppc64el

  [ Kentaro Hayashi ]
  * Use d/watch 5

 -- Cordell Bloor <cgmb@debian.org>  Tue, 18 Nov 2025 12:07:32 -0700
