=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_PREPEND = -DHIPBLAS_USE_HIP_HALF
export VERBOSE=1

FEATURE_CHECK := $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON)
FEATURE_INSTTEST := $(if $(filter noinsttest,$(DEB_BUILD_PROFILES)),OFF,ON)

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_SKIP_INSTALL_RPATH=ON \
	-DROCM_SYMLINK_LIBS=OFF \
	-DBUILD_FILE_REORG_BACKWARD_COMPATIBILITY=OFF \
	-DHIPBLAS_FIND_PACKAGE_LAPACK_CONFIG=OFF \
	-DBUILD_WITH_SOLVER=OFF \
	-DBUILD_SOLVER_TESTS=ON \
	-DBUILD_CLIENTS_TESTS=$(or $(filter ON,$(FEATURE_CHECK)),$(filter ON,$(FEATURE_INSTTEST)),OFF) \
	-DBUILD_CLIENTS_BENCHMARKS=$(FEATURE_INSTTEST) \
	-DBUILD_CLIENTS_SAMPLES=OFF \
	-DLINK_BLIS=OFF \
	-DHIP_PLATFORM=amd

%:
	dh $@ -Scmake

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e \
	; if [ -r /dev/kfd ] \
	; then obj-$(DEB_HOST_GNU_TYPE)/clients/staging/hipblas-test --gtest_filter="-*known_bug*" \
	; else echo "W: /dev/kfd unreadable: no available AMD GPU." \
	;      echo "W: tests skipped." \
	; fi
endif

override_dh_auto_configure-indep:
	:

override_dh_auto_build-indep:
ifeq (,$(filter noinsttest,$(DEB_BUILD_PROFILES)))
	python3 clients/common/hipblas_gentest.py -I clients/include clients/gtest/hipblas_gtest.yaml -o hipblas_gtest.data
endif

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	rocm-docs-build
	rm -rf build/html/_static/fonts
	rm -rf build/html/_static/vendor
	find build/html -name hipblas-api-functions.html \
		-exec perl -ni -e 'print unless /cdn\.jsdelivr\.net/' {} \;
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install-indep:
	:
