## hipblas 7.1.0

=== debian/changelog ===
hipblas (7.1.0-0ubuntu4) resolute; urgency=medium

  * d/p/0011-fix-arm64-immintrin-include.patch: New patch for arm64

 -- Igor Luppi <igor.luppi@canonical.com>  Fri, 06 Feb 2026 10:22:24 -0300

hipblas (7.1.0-0ubuntu3) UNRELEASED; urgency=medium

  [ Tim Flink ]
  * d/rules: use CMAKE_FLAGS during build
  * d/rules: add INSTALL_TEST_DATA_DIR as a cmake option
  * d/control: enable libhipblas3-tests
  * d/control: add libhipblas3-tests-data and libhipblas3-bench packages
  * d/patches: add 0009-enable-changing-test-data-dir.patch
  * d/patches: add 00101-remove-readme-from-doxygen-sources.patch
  * d/rules: use dpkg-parsechangelog to correctly specify version in docs

  [ Talha Can Havadar ]
  * revisions 0ubuntu1 and 0ubuntu2 released in rocm-devel PPA
  * d/libhipblas3.symbols: remove forgotten debian revision
  * d/control: add python3-yaml to build-depends

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 30 Jan 2026 10:46:38 +0300

hipblas (7.1.0-0ubuntu2) UNRELEASED; urgency=medium

  * d/rules: BUILD_WITH_SOLVER to align upstream build script
  * d/control: add strict version requirements to b-d for rocm 7.1.0

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 16 Dec 2025 15:20:33 +0100

hipblas (7.1.0-0ubuntu1) UNRELEASED; urgency=medium

  * d/libhipblas3.symbols: update to incorporate ABI changes
  * d/patches: update the patches
   - 0001-remove-immintrin-header.patch
   - 0003-Disable-omp.patch -> 0002-Disable-omp.patch
   - new 0003-use-generic-blas-and-lapack.patch
   - 0008-Use-local-mathjax.patch -> 0004-Use-local-mathjax.patches
   - new 0005-Gtest-add-verbose-flag-to-prevent-timeout.patch
   - 0010-drop-f16c-instructions.patch -> 0006-drop-f16c-instructions.patch
   - 0012-optional-git.patch -> 0007-optional-git.patch
   - 0011-fix-ambiguous-__half-constructor.patch -> 0008-fix-ambiguous-__half-constructor.patch
    + ignore narrowing warnings for test files
  * d/control: add librocsolver-dev
  * debian: library transition from libhipblas2 to libhipblas3
  * d/gbp.conf: update debian branch to ubuntu/resolute

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Fri, 21 Nov 2025 12:57:54 +0100

hipblas (6.4.3-1~exp1ubuntu1) questing; urgency=medium

  * d/control: update build-depends
  * d/control: update maintainer field
  * d/p/0010-Gtest-add-verbose-flag-to-prevent-timeout.patch: add
    verbose flag to test builds to prevent timeout on Launchpad
  * d/rules: set cmake build to be single core

 -- Igor Luppi <igor.luppi@canonical.com>  Sat, 25 Oct 2025 15:24:13 -0300
