=== debian/control ===
Source: hipblas
Section: devel
Homepage: https://github.com/ROCm/hipBLAS
Priority: optional
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rocm-team/hipblas.git
Vcs-Browser: https://salsa.debian.org/rocm-team/hipblas
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Cordell Bloor <cgmb@debian.org>,
           Christian Kastner <ckk@debian.org>,
           Christian Bayle <bayle@debian.org>,
           Talha Can Havadar <talha.can.havadar@canonical.com>,
           Igor Luppi <igor.luppi@canonical.com>,
Build-Depends:
 debhelper-compat (= 13),
 cmake (>=3.22~),
 rocm-cmake (>=7.1.0~),
 gfortran,
 libamdhip64-dev (>=7.1.0~),
 librocblas-dev (>=7.1.0~),
 libhipblas-common-dev (>=7.1.0~),
 libblas-dev,
 liblapack-dev,
 libblas64-dev,
 liblapack64-dev,
 libgtest-dev <!nocheck>,
 librocsolver-dev (>=7.1.0~),
 python3,
 python3-yaml,
Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
 python3-rocm-docs (>= 1.20.0-1~) <!nodoc>,
 python3-doxysphinx <!nodoc>,
 doxygen <!nodoc>,
 python3-breathe <!nodoc>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 libjs-jquery <!nodoc>,
 libjs-mathjax <!nodoc>,
 libjs-sphinxdoc <!nodoc>,
 libjs-underscore <!nodoc>
Rules-Requires-Root: no

Package: libhipblas3
Section: libs
Architecture: amd64 arm64
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: librocsolver0
Description: portable interface for GPU BLAS - library
 hipBLAS is a wrapper library that provides a common interface to rocBLAS and
 cuBLAS. The hipBLAS library is designed to help applications using cuBLAS to
 port their code to the ROCm platform.
 .
 This package provides the AMD ROCm hipBLAS library.

Package: libhipblas-dev
Section: libdevel
Architecture: amd64 arm64
Depends: libhipblas3 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
         libamdhip64-dev (>=7.1.0~),
         libhipblas-common-dev,
Recommends: librocblas-dev, librocsolver-dev
Suggests: libhipblas-doc
Description: portable interface for GPU BLAS - headers
 hipBLAS is a wrapper library that provides a common interface to rocBLAS and
 cuBLAS. The hipBLAS library is designed to help applications using cuBLAS to
 port their code to the ROCm platform.
 .
 This package provides the AMD ROCm hipBLAS development headers.

Package: libhipblas3-tests
Section: libdevel
Architecture: amd64 arm64
Build-Profiles: <!nocheck>
Depends: libhipblas3 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
         libhipblas3-tests-data,
Description: portable interface for GPU BLAS - tests
 hipBLAS is a wrapper library that provides a common interface to rocBLAS and
 cuBLAS. The hipBLAS library is designed to help applications using cuBLAS to
 port their code to the ROCm platform.
 .
 This package provides the AMD ROCm hipBLAS test binaries used for verifying
 that the library is functioning correctly.

Package: libhipblas3-tests-data
Section: libdevel
Architecture: all
Build-Profiles: <!nocheck>
Depends: ${misc:Depends},
Description: portable interface for GPU BLAS - tests
 hipBLAS is a wrapper library that provides a common interface to rocBLAS and
 cuBLAS. The hipBLAS library is designed to help applications using cuBLAS to
 port their code to the ROCm platform.
 .
 This package provides the data files required for the AMD ROCm hipBLAS test
 binaries. These test binaries are only used to verify that the library is
 functioning correctly and most users don't need this package

Package: libhipblas3-bench
Section: libdevel
Architecture: amd64 arm64
Build-Profiles: <!nocheck>
Depends: libhipblas3 (= ${binary:Version}),${misc:Depends}, ${shlibs:Depends},
Description: portable interface for GPU BLAS - tests
 hipBLAS is a wrapper library that provides a common interface to rocBLAS and
 cuBLAS. The hipBLAS library is designed to help applications using cuBLAS to
 port their code to the ROCm platform.
 .
 This pacakge provides a utility for getting performance data about the AMD
 ROCm hipBLAS library.


Package: libhipblas-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax,
Replaces: libhipblas-dev (<< 5.5.1-2~)
Breaks: libhipblas-dev (<< 5.5.1-2~)
Description: portable interface for GPU BLAS - documentation
 hipBLAS is a wrapper library that provides a common interface to rocBLAS and
 cuBLAS. The hipBLAS library is designed to help applications using cuBLAS to
 port their code to the ROCm platform.
 .
 This package provides the AMD ROCm hipBLAS documentation.
