=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CXXFLAGS_MAINT_PREPEND = -DHIPBLAS_USE_HIP_HALF
export VERBOSE=1

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE=Release \
	-DCMAKE_SKIP_INSTALL_RPATH=ON \
	-DROCM_SYMLINK_LIBS=OFF \
	-DBUILD_FILE_REORG_BACKWARD_COMPATIBILITY=OFF \
	-DHIPBLAS_FIND_PACKAGE_LAPACK_CONFIG=OFF \
	-DBUILD_CLIENTS_BENCHMARKS=ON \
	-DBUILD_CLIENTS_SAMPLES=OFF \
	-DLINK_BLIS=OFF \
	-DINSTALL_TEST_DATA_DIR=/usr/libexec/rocm/libhipblas3-tests/data \
	-DBUILD_WITH_SOLVER=ON \
	-DHIP_PLATFORM=amd

ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
CMAKE_FLAGS += \
	-DBUILD_CLIENTS_TESTS=ON
endif

# From TheRock
# -DCMAKE_BUILD_TYPE=Release
#  -DHIP_PLATFORM=amd
#  -DBUILD_WITH_SOLVER=ON
#  -DBUILD_CLIENTS_TESTS=ON
#  -DBUILD_CLIENTS_BENCHMARKS=ON
#  -DBUILD_CLIENTS_SAMPLES=OFF
#  -DLINK_BLIS=OFF

%:
	dh $@ -Scmake

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_FLAGS)

override_dh_auto_build-arch:
	dh_auto_build -- -j1

override_dh_auto_test-arch:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e \
	; if [ -r /dev/kfd ] \
	; then obj-$(DEB_HOST_GNU_TYPE)/clients/staging/hipblas-test --gtest_filter="-*known_bug*" \
	; else echo "W: /dev/kfd unreadable: no available AMD GPU." \
	;      echo "W: tests skipped." \
	; fi
endif

override_dh_auto_configure-indep:
	:

override_dh_auto_build-indep:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	python3 clients/common/hipblas_gentest.py -I clients/include clients/gtest/hipblas_gtest.yaml -o hipblas_gtest.data
endif

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	rocm-docs-build -r $(shell dpkg-parsechangelog -S Version | sed 's/-.*//')
	rm -rf build/html/_static/fonts
	rm -rf build/html/_static/vendor
	find build/html -name hipblas-api-functions.html \
		-exec perl -ni -e 'print unless /cdn\.jsdelivr\.net/' {} \;
endif

override_dh_auto_test-indep:
	:

override_dh_auto_install-indep:
	:
